- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.ListCaseChatMessagesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages/list#body.aspect_1)

**Full name**: projects.locations.instances.cases.chatMessages.list

Lists `ChatMessages` for a specific `Case`. Use this method to retrieve the communication history and chronological dialogue between analysts.

### HTTP request

`GET https://{endpoint}/v1alpha/{parent}/chatMessages`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The instance to list Casechats for. Format: projects/{project}/locations/{location}/instances/{instance}/cases/{case}/chatMessage/{chatMessage} |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of RequestTemplates to return. |
| `pageToken` | `string` Optional. A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `filter` | `string` Optional. Filter expression to filter the RequestTemplates. |
| `orderBy` | `string` Optional. Configures order of the returned RequestTemplates. |

### Request body

The request body must be empty.

### Response body

Response message for listing Casechat messages.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "chatMessages": [ { object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages#ChatMessage`) } ], "nextPageToken": string, "totalSize": integer } ``` |

| Fields ||
|---|---|
| `chatMessages[]` | ``object (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.cases.chatMessages#ChatMessage`)`` Output only. The list of Casechat Messages. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `totalSize` | `integer` The total number of Casechat Messages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `chronicle.chatMessages.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).